Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2020-35654

Published: 12 January 2021

In Pillow before 8.1.0, TiffDecode has a heap-based buffer overflow when decoding crafted YCbCr files because of certain interpretation conflicts with LibTIFF in RGBA mode.

Notes

AuthorNote
mdeslaur
per upstream, affects 6.0.0 to 8.0.1, and only when used with
libtiff 4.1.0 in focal, not 4.0.9 in bionic

Priority

Medium

Cvss 3 Severity Score

8.8

Score breakdown

Status

Package Release Status
pillow
Launchpad, Ubuntu, Debian
impish Not vulnerable
(8.1.0-1)
trusty Not vulnerable

bionic Not vulnerable
(5.1.0-1ubuntu0.3)
focal
Released (7.0.0-4ubuntu0.2)
groovy
Released (7.2.0-1ubuntu0.1)
jammy Not vulnerable
(8.1.0-1)
lunar Not vulnerable
(8.1.0-1)
hirsute Not vulnerable
(8.1.0-1)
kinetic Not vulnerable
(8.1.0-1)
upstream
Released (8.1.0-1)
xenial Not vulnerable
(3.1.2-0ubuntu1.4)
mantic Not vulnerable
(8.1.0-1)
Patches:
upstream: https://github.com/python-pillow/Pillow/commit/eb8c1206d6b170d4e798a00db7432e023853da5c
upstream: https://github.com/python-pillow/Pillow/commit/45a62e91b1f72e79989a7919af97b062dc8dfaf4
pillow-python2
Launchpad, Ubuntu, Debian
impish Does not exist

groovy Ignored
(end of life)
bionic Does not exist

focal Needs triage

hirsute Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

jammy Does not exist

lunar Does not exist

kinetic Does not exist

mantic Does not exist

python-imaging
Launchpad, Ubuntu, Debian
impish Does not exist

bionic Does not exist

focal Does not exist

groovy Does not exist

jammy Does not exist

lunar Does not exist

hirsute Does not exist

kinetic Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

Severity score breakdown

Parameter Value
Base score 8.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H